<div
  class="map-marker-feature content"
  {{did-insert this.setup}}
  {{did-update this.setup @featureId}}
>
  {{#if this.isLoading}}
    <div class="loading p-4">
      <div class="spinner-border spinner-border-sm" role="status">
        <span class="d-none visually-hidden">Loading...</span>
      </div>
    </div>
  {{/if}}

  {{#if this.feature}}
    {{#if this.cover}}
      <PictureWithOptions
        class="card-cover"
        @deviceSize={{@deviceSize}}
        @src={{this.cover.picture}}
        @hash={{this.cover.hash}}
        @name={{this.cover.name}}
        @options={{this.pictureOptions}}
        data-name={{@name}}
        data-path="{{@path}}.picture"
      />
    {{/if}}

    {{#if this.pictures}}
      <Swiper @onSetup={{this.swiperSetup}}>
        {{#each this.pictures as |picture|}}
          <div class="swiper-slide">
            <PictureWithOptions
              class="page-col-picture cursor-pointer"
              @name={{picture.name}}
              @meta={{picture.meta}}
              @src={{picture.picture}}
              @hash={{picture.hash}}
              @options={{this.pictureOptions}}
            />
          </div>
        {{/each}}
      </Swiper>
    {{/if}}

    {{#if @onClose}}
      <button class="btn btn-close-marker" type="button" {{on "click" @onClose}}>
        <FaIcon @icon="xmark" />
      </button>
    {{/if}}

    <div class="feature-title">
      {{this.feature.name}}
    </div>

    <div class="feature-description">
      {{this.feature.firstParagraph}}
    </div>

    <div class="feature-icons">
      {{#each this.feature.icons as |icon|}}
        <Icon
          @src={{icon}}
          @deviceSize={{@deviceSize}}
        />
      {{/each}}
    </div>

    {{#if this.link}}
      <div class="feature-open">
        <Link class="btn btn-open btn-light" @space={{this.space.currentSpace}} @to={{this.link}} @isEditor={{@isEditor}}>
          {{t "open"}}
        </Link>
      </div>
    {{/if}}
  {{/if}}
</div>